"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toHeldLock = exports.toLockPage = exports.toLock = exports.toLockInfo = void 0;
const base64_1 = require("../utils/base64");
const toLockInfo = (lockInfo) => ({
    ttl: lockInfo['ttl'],
    clientId: lockInfo['client-id'],
    ip: lockInfo['ip'],
});
exports.toLockInfo = toLockInfo;
const toName = (name) => {
    if (!name)
        return null;
    return {
        name: (0, base64_1.decode)(name),
    };
};
const toLock = (lock) => {
    const lockName = toName(lock['name']);
    let name = { name: '' };
    if (lockName) {
        name = lockName;
    }
    return {
        id: lock['id'],
        name,
        info: (0, exports.toLockInfo)(lock['info']),
    };
};
exports.toLock = toLock;
const toLockPage = (lockPage) => {
    return {
        locks: lockPage['infos'].map((lock) => (0, exports.toLock)(lock)),
        nextLock: toName(lockPage['next']),
    };
};
exports.toLockPage = toLockPage;
const toHeldLock = (lock) => ({
    id: lock['id'],
    sequencer: lock['sequencer'],
});
exports.toHeldLock = toHeldLock;
