import { decode } from '../utils/base64';
export const toLockInfo = (lockInfo) => ({
    ttl: lockInfo['ttl'],
    clientId: lockInfo['client-id'],
    ip: lockInfo['ip'],
});
const toName = (name) => {
    if (!name)
        return null;
    return {
        name: decode(name),
    };
};
export const toLock = (lock) => {
    const lockName = toName(lock['name']);
    let name = { name: '' };
    if (lockName) {
        name = lockName;
    }
    return {
        id: lock['id'],
        name,
        info: toLockInfo(lock['info']),
    };
};
export const toLockPage = (lockPage) => {
    return {
        locks: lockPage['infos'].map((lock) => toLock(lock)),
        nextLock: toName(lockPage['next']),
    };
};
export const toHeldLock = (lock) => ({
    id: lock['id'],
    sequencer: lock['sequencer'],
});
